/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "src/styles/openk.styles";

:host {
  display: flex;
  flex-flow: column;
  width: 100%;
  height: 100%;
  box-sizing: border-box;
  padding: 1em;
}

.text-block--title {
  font-weight: 600;
  margin-bottom: 0.25em;
}

.text-block--textarea {
  resize: none;
  width: 100%;
  box-sizing: border-box;
  min-height: 8.4em;
  flex: 1 1 100%;
  height: 10em;
  overflow-y: auto;
}

.text-block--format {
  display: flex;
  flex-flow: row wrap;
  margin-top: 2px;

  &:empty {
    display: none;
  }
}

.text-block--format--chip {
  margin-top: 0.25em;
  margin-right: 0.25em;
}

.text-block--format--chip--label {
  padding-right: 0.2em;

  &:last-child {
    padding-right: 0;
  }
}

.text-block--format--chip--icon {
  font-size: 1em;
  height: initial;
  width: initial;
  padding: 0;
  margin: 0;
}

.text-block--format--chip--icon---rotate {
  transform: rotate(90deg);
}


.drop-area {
  @include rounded-border-mixin();

  width: 100%;
  flex: 1 1 3em;
  border: 1px dashed $openk-form-border;
  margin-top: 0.5em;
  padding: 0.25em;
  box-sizing: border-box;

  display: flex;
  flex-flow: column;
}

.drop-area--title {
  line-height: 1.25;
  font-size: x-small;
  width: 100%;
}

.drop--area--text-blocks {
  display: flex;
  flex-flow: row wrap;
  width: 100%;
}

.drop-area--button {
  margin: 0.25em 0.5em 0.25em 0;
}

.drop-area--button--icon {
  font-size: inherit;
  height: initial;
  width: initial;
  line-height: 1;
  padding-right: 0.25em;
}
